## org.biojava.bio.program.gff
Class GFFRecordFilter.AcceptAll

    java.lang.Object
      |
      +--org.biojava.bio.program.gff.GFFRecordFilter.AcceptAll

Enclosing class:
  GFFRecordFilter

public static class GFFRecordFilter.AcceptAll
extends java.lang.Object
implements GFFRecordFilter

Implementation of GFFRecordFilter that accepts everything.

Author:
  Matthew Pocock

Inner classes inherited from class org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter`

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.AcceptAll()`

Method Summary
`boolean` `accept(GFFRecord record)` Return wether or not to accept record.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.AcceptAll

    public GFFRecordFilter.AcceptAll()

Method Detail

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: GFFRecordFilter
  Return wether or not to accept record.
  Specified by:
    accept in interface GFFRecordFilter
  Returns:
    true